socket_tcp4b(3)

NAME
socket_tcp4b - create a blocking TCP/IP stream socket

SYNTAX
#include <libowfat/socket.h> int socket_tcp4b();

DESCRIPTION
socket_tcp4b creates a blocking TCP/IP stream socket and returns a file descriptor pointing to that socket. If something goes wrong, socket_tcp4b returns -1, setting errno appropriately, without allocating any resources.

EXAMPLE
  #include <libowfat/socket.h>
  int s;
  char ip[4];
  uint16 p;
  s = socket_tcp4b();
  socket_bind4(s,ip,p);
  socket_connect4(s,ip,p);

SEE ALSO
socket_tcp4(3), socket_bind4(3), socket_bind6(3)